<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Index</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li class="current"><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_A">A</a>&#160;|&#160;<a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_C">C</a>&#160;|&#160;<a class="qindex" href="#letter_D">D</a>&#160;|&#160;<a class="qindex" href="#letter_E">E</a>&#160;|&#160;<a class="qindex" href="#letter_F">F</a>&#160;|&#160;<a class="qindex" href="#letter_G">G</a>&#160;|&#160;<a class="qindex" href="#letter_I">I</a>&#160;|&#160;<a class="qindex" href="#letter_L">L</a>&#160;|&#160;<a class="qindex" href="#letter_M">M</a>&#160;|&#160;<a class="qindex" href="#letter_O">O</a>&#160;|&#160;<a class="qindex" href="#letter_P">P</a>&#160;|&#160;<a class="qindex" href="#letter_Q">Q</a>&#160;|&#160;<a class="qindex" href="#letter_R">R</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_T">T</a>&#160;|&#160;<a class="qindex" href="#letter_U">U</a>&#160;|&#160;<a class="qindex" href="#letter_V">V</a>&#160;|&#160;<a class="qindex" href="#letter_W">W</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter_A"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;A&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_I"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;I&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_output_configuration_array.html">XsOutputConfigurationArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_simple_version.html">XsSimpleVersion</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_P"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;P&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_snapshot.html">XsSnapshot</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_analog_in_data.html">XsAnalogInData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_io_interface.html">IoInterface</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_socket.html">XsSocket</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_array.html">XsArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_io_interface_file.html">IoInterfaceFile</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_packet_fixed_data.html">PacketFixedData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_string.html">XsString</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_array_descriptor.html">XsArrayDescriptor</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_i_protocol_handler.html">IProtocolHandler</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_packet_info.html">PacketInfo</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_string_array.html">XsStringArray</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_array_impl.html">XsArrayImpl</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_array_impl_1_1_iterator_impl.html">XsArrayImpl::IteratorImpl</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_packet_stamper.html">PacketStamper</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_sv_info.html">XsSvInfo</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_atomic_int.html">XsAtomicInt</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html">XsArrayImpl::IteratorImplBase</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_protocol_handler.html">ProtocolHandler</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_sync_setting.html">XsSyncSetting</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_B"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;B&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_const.html">XsArrayImpl::IteratorImplConst</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_port_info.html">XsPortInfo</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_sync_setting_array.html">XsSyncSettingArray</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_int64_array.html">XsInt64Array</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_T"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;T&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_byte_array.html">XsByteArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_int_array.html">XsIntArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_pressure.html">XsPressure</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_C"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;C&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_L"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;L&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_Q"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;Q&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_time_stamp.html">XsTimeStamp</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_trigger_indication_data.html">XsTriggerIndicationData</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_legacy_data_packet.html">LegacyDataPacket</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_U"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;U&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_D"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;D&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="union_xs_message_header_1_1_length_data.html">XsMessageHeader::LengthData</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_R"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;R&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_library_loader.html">XsLibraryLoader</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_usb_interface.html">UsbInterface</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_data_format.html">XsDataFormat</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_xs_lib_usb.html">XsLibUsb</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_range.html">XsRange</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_xs_udev.html">XsUdev</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_data_packet.html">XsDataPacket</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_M"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;M&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_raw_gnss_pvt_data.html">XsRawGnssPvtData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_u_short_vector.html">XsUShortVector</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_raw_gnss_sat_info.html">XsRawGnssSatInfo</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_utc_time.html">XsUtcTime</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_message_location.html">MessageLocation</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_raw_gps_dop.html">XsRawGpsDop</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_V"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;V&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_E"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;E&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_mtw_sdi_data.html">MtwSdiData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_raw_gps_sol.html">XsRawGpsSol</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_matrix.html">XsMatrix</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_raw_gps_sv_info.html">XsRawGpsSvInfo</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_vector.html">XsVector</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html">XsMessageHeader::LengthData::ExtendedLength</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_matrix3x3.html">XsMatrix3x3</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_raw_gps_time_utc.html">XsRawGpsTimeUtc</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts.html">XsMessageHeader::LengthData::ExtendedLength::ExtendedParts</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_message.html">XsMessage</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_S"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;S&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_version.html">XsVersion</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_euler.html">XsEuler</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_message_array.html">XsMessageArray</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_W"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;W&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="class_xs_exception.html">XsException</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_message_header.html">XsMessageHeader</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_serial_interface.html">SerialInterface</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_F"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;F&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_mutex.html">XsMutex</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_stream_interface.html">StreamInterface</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_xs_win_usb.html">XsWinUsb</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_mutex_locker.html">XsMutexLocker</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_xs_sat_info.html">XsSatInfo</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_file.html">XsFile</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_O"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;O&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_scr_data.html">XsScrData</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_G"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;G&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct_xs_sdi_data.html">XsSdiData</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_output_configuration.html">XsOutputConfiguration</a>&#160;&#160;&#160;</td><td></td><td></td></tr>
<tr><td valign="top"><a class="el" href="struct_xs_gps_pvt_data.html">XsGpsPvtData</a>&#160;&#160;&#160;</td><td></td><td></td><td></td></tr>
<tr><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter_A">A</a>&#160;|&#160;<a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_C">C</a>&#160;|&#160;<a class="qindex" href="#letter_D">D</a>&#160;|&#160;<a class="qindex" href="#letter_E">E</a>&#160;|&#160;<a class="qindex" href="#letter_F">F</a>&#160;|&#160;<a class="qindex" href="#letter_G">G</a>&#160;|&#160;<a class="qindex" href="#letter_I">I</a>&#160;|&#160;<a class="qindex" href="#letter_L">L</a>&#160;|&#160;<a class="qindex" href="#letter_M">M</a>&#160;|&#160;<a class="qindex" href="#letter_O">O</a>&#160;|&#160;<a class="qindex" href="#letter_P">P</a>&#160;|&#160;<a class="qindex" href="#letter_Q">Q</a>&#160;|&#160;<a class="qindex" href="#letter_R">R</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_T">T</a>&#160;|&#160;<a class="qindex" href="#letter_U">U</a>&#160;|&#160;<a class="qindex" href="#letter_V">V</a>&#160;|&#160;<a class="qindex" href="#letter_W">W</a></div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
